<script setup lang="ts">
import TestimonialItem from '@/components/carousel/testimonials/TestimonialItem.vue'
import { Carousel, Slide, Navigation } from 'vue3-carousel'
</script>

<template>
  <div class="axil-testimoial-area axil-section-gap bg-vista-white">
    <div class="container">
      <div class="section-title-wrapper">
        <span class="title-highlighter highlighter-secondary"> <i class="fal fa-quote-left"></i>Testimonials</span>
        <h2 class="title">Users Feedback</h2>
      </div>
      <!-- End .section-title -->
      <Carousel
          :items-to-show="3"
          :wrap-around="true"
          snap-align="start"
          class="testimonial-slick-activation testimonial-style-one-wrapper slick-layout-wrapper--20 axil-slick-arrow arrow-top-slide"
      >
        <template #slides>
          <Slide v-for="slide in 10" :key="slide">
            <TestimonialItem />
          </Slide>
        </template>
        <template #addons>
          <div class="top-slide-navigation">
            <Navigation />
          </div>
        </template>
      </Carousel>
    </div>
  </div>
</template>